/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko'], function (ko) {
    'use strict';

    var selectedFields = ko.observableArray([]),
        selectAllPromptFields = ko.observable(null),
        selectedStores = ko.observableArray([]),
        initialized = ko.observable(false),
        storeFilter = ko.observable(0);

    return {
        selectedFields: selectedFields,
        selectAllPromptFields: selectAllPromptFields,
        selectedStores: selectedStores,
        initialized: initialized,
        storeFilter: storeFilter
    };
});
